#
# spec file for package perl-Class-C3-Componentised
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Class-C3-Componentised
Version:        1.001002
Release:        1.23
%define cpan_name Class-C3-Componentised
Summary:        Load mix-ins or components to your C3-based class
License:        Artistic-1.0 OR GPL-1.0-or-later
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Class-C3-Componentised/
Source0:        https://cpan.metacpan.org/authors/id/H/HA/HAARG/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Class::C3) >= 0.20
BuildRequires:  perl(Class::Inspector) >= 1.32
BuildRequires:  perl(MRO::Compat) >= 0.09
BuildRequires:  perl(Test::Exception) >= 0.310000
BuildRequires:  perl(Test::More) >= 0.96
Requires:       perl(Class::C3) >= 0.20
Requires:       perl(Class::Inspector) >= 1.32
Requires:       perl(MRO::Compat) >= 0.09
%{perl_requires}

%description
This will inject base classes to your module using the Class::C3 method
resolution order.

Please note: these are not plugins that can take precedence over methods
declared in MyModule. If you want something like that, consider
MooseX::Object::Pluggable.

%prep
%setup -q -n %{cpan_name}-%{version}
# MANUAL BEGIN
sed -i -e 's/use inc::Module::Install/use lib q[.];\nuse inc::Module::Install/' Makefile.PL
# MANUAL END

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README

%changelog
* Sat Feb 24 2018 coolo@suse.com
- updated to 1.001002
  see /usr/share/doc/packages/perl-Class-C3-Componentised/Changes
  1.001002 - 2018-02-23
  - fixed author metadata
  - added x_static_install and dynamic_config=0 to metadata
  - added x_authority to metadata
  1.001_001 - 2018-02-15
  - list test prerequisites as test prerequisites rather than runtime
    prerequisites. (RT#100637)
  - correctly list Test::More 0.96 as a test prerequisite (RT#77611)
  - stop using Class::C3 in tests.  it is still listed as a prerequisite.
    because some things expect it to be available once this module is
    installed.
  - convert packaging from using Module::Install to plain
    ExtUtils::MakeMaker, with Distar for releasing.  This fixes issues when
    the current directory is not in @INC (perl 5.26).  Fixes RT#121696,
    RT#120826
  - fixed typo in documentation. (RT#85355)
  - fixed module abstracts.
  - increase Class::Inspector prereq to 1.32 to fix ensure_class_found on
    modules provided by @INC hooks, such as PAR. (RT#42845)
* Tue Oct  3 2017 coolo@suse.com
- patch the Makefile to build with perl 5.26
* Fri Jan 20 2012 coolo@suse.com
- update to 1.001000
  - Add Class::C3::Componentised::ApplyHooks features
* Thu Apr 21 2011 coolo@opensuse.org
- updated to 1.0009
  - Stop importing Carp functions (and thus polluting the inheritor
    namespaces)
  - Make sure $_ is properly preserved even if the loaded module
    is negligent enough to change it (RT#66661)
  - Added missing copyright statement
    Fix inject_base regression introduced during optimizations in
    1.0007
    Throw a readable exception when load_optional_class is given an
    invalid class name
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Thu Dec 10 2009 chris@computersalat.de
- update to version 1.0006
  * Allow derived classes without component_base_class(), given all
    arguments to load_components are absolute class names (+Classname)
- cleanup spec
  * added header
  * sort tags
  * fixed deps
  * moved changelog to .changes
- added perl-macros
  * perl_gen_filelist
* Sun Oct 26 2008 gerrit.beine@gmx.de
- first release 1.0003
